Cisco исправила критические уязвимости в ПО для дата-центров

Компания Cisco Systems выпустила ряд обновлений безопасности, устраняющих три критические и восемь опасных уязвимостей в Cisco Data Center Network Manager (DCNM) и нескольких программных продуктах Cisco SD-WAN.

Уязвимость обхода аутентификации (CVE-2020-3382) получила оценку в 9,8 балла по шкале CVSS и была обнаружена в REST API Cisco DCNM. Cisco DCNM — решение для управления сетью для центров обработки данных следующего поколения, предоставляющее web-консоль управления для высокоуровневого мониторинга и контроля продуктов Cisco Nexus, Cisco MDS и Cisco Unified Computing System. Эксплуатация уязвимости позволяет неавторизованному злоумышленнику обойти аутентификацию и удаленно выполнить произвольные действия на уязвимых устройствах с правами администратора через API REST.

«Уязвимость связана с тем, что разные установки используют один и тот же ключ статического шифрования. Злоумышленник может проэксплуатировать уязвимость, используя статический ключ для создания действительного токена сеанса», — пояснили специалисты.

Проблема затрагивает версии Cisco DCNM 11.0 (1), 11.1 (1), 11.2 (1) и 11.3 (1). По словам Cisco, единственный способ устранить эту уязвимость — обновить программное обеспечение Cisco DCNM до версий 11.4 (1) и младше.

Cisco также исправила две критические уязвимости, затрагивающие программное обеспечение Cisco SD-WAN vManage и программное обеспечение Cisco SD-WAN Solution, включая ПО IOS XE SD-WAN, SD-WAN vBond Orchestrator, облачные маршрутизаторы SD-WAN vEdge, SD -WAN vEdge Routers и ПО контроллера SD-WAN vSmart.

Уязвимость обхода авторизации (CVE-2020-3374) затрагивает Cisco SD-WAN vManage. Проблема получила оценку в 9,9 балла по шкале CVSS и содержится в web-интерфейсе управления. Ее эксплуатация позволяет аутентифицированному удаленному злоумышленнику обойти авторизацию, получить доступ к конфиденциальной информации, изменить конфигурацию системы или повлиять на доступность уязвимой системы.

Вторая проблема представляет собой уязвимость переполнения буфера (CVE-2020-3375) и связана с недостаточной проверкой входных данных. Ее эксплуатация позволяет неавторизованному удаленному злоумышленнику получить доступ к информации, внести изменения в систему и выполнять команды на уязвимой системе с привилегиями суперпользователя.

Источник: https://www.securitylab.ru/news/510646.php